import { FormSchema } from '/@/components/Table';

export const formSchema: FormSchema[] = [
  {
    field: 'ROT_CODE',
    label: '工艺路线编码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    field: 'ROT_NAME',
    label: '工艺路线名称',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ROT_TYPE',
    label: '工艺路线类型',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ROT_VER',
    label: '工艺路线版本',
    // required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'IS_ACTIVE',
    label: '是否启用(Y/N)',
    required: true,
    component: 'Select',
    colProps: { span: 8 },
    componentProps: {
      options: [
        {
          label: '是',
          value: 'Y',
          key: 'Y',
        },
        {
          label: '否',
          value: 'N',
          key: 'N',
        },
      ],
    },
  },
  {
    field: 'REMARK',
    label: '备注',
    // required: true,
    component: 'Input',
    colProps: { span: 24 },
  },
];
